#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    _data = [[NSMutableArray alloc]init];
    NSInteger itemCount = 5;
    
    for (NSInteger i=0; i< itemCount; i++)
    {
        DataItem *obj = [[DataItem alloc]init];
        obj.value = 10+arc4random()%4;
        [_data addObject:obj];
    }
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    _chart.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    _chart.delegate = self;
    
    _categoryHelper = [[IGCategorySeriesDataSourceHelper alloc]initWithData:_data andValuePath:@"value"];
    
    IGColumnSeries *columnSeries = (IGColumnSeries*)[_chart addSeriesForType:[IGColumnSeries class] usingKey:@"column" withDataSource:_categoryHelper firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    
    IGAreaSeries *areaSeries = (IGAreaSeries*)[_chart addSeriesForType:[IGAreaSeries class] usingKey:@"area" withDataSource:_categoryHelper firstAxisKey:@"xAxis" secondAxisKey:@"yAxis"];
    
    areaSeries.yAxis.minimum = 0;
    areaSeries.yAxis.maximum = 20;
    
    //areaSeries.brush = [[IGBrush alloc]initWithR:.7 andG:.3 andB:.2 andA:1];
    //areaSeries.outline = [[IGBrush alloc]initWithColor:[UIColor yellowColor]];
    //areaSeries.thickness = 2;
    
    [self.view addSubview:_chart];
}

-(void)chartViewDidZoom:(IGChartView *)chartView
{
    printf("chartViewDidZoom\n");
}

-(void)chartViewDidScroll:(IGChartView *)chartView
{
    printf("chartViewDidScroll\n");
}

-(void)chartViewDidEndZooming:(IGChartView *)chartView
{
    printf("chartViewDidEndZooming\n");
}

-(void)chartViewDidEndDecelerating:(IGChartView *)chartView
{
    printf("chartViewDidEndDecelerating\n");
}

@end

@implementation DataItem
@synthesize value,label;
@end
